<?php

namespace App\Exports;

use Maatwebsite\Excel\Facades\Excel;

trait DownloadHelper
{
    protected function downloadExcelHelper($object, string $namePrefix, string $extension = null): \Symfony\Component\HttpFoundation\BinaryFileResponse
    {
        $extension = $extension ?: "xlsx";

        throw_validation_if(! in_array($extension, ['xlsx', 'xls', 'csv']), "Support xlsx, xls, csv formats");

        return Excel::download(
            $object,
            sprintf("%s-%s.%s", $namePrefix, date("YmdHis"), $extension),
            match ($extension) {
                'csv' => \Maatwebsite\Excel\Excel::CSV,
                'xlsx' => \Maatwebsite\Excel\Excel::XLSX,
                'xls' => \Maatwebsite\Excel\Excel::XLS,
            },
        );
    }
}
