<?php

return [
    'base_proxy_url' => env('BACNET_API_BASE_PROXY_URL'),
    'site_id' => env('BACNET_API_SITE_ID', 'IFC'),
    'auth' => [
        'username' => env('BACNET_API_USERNAME'),
        'password' => env('BACNET_API_PASSWORD'),
    ],
    'site_data_map' => [
        /*site*/
        'IFC' => [
            'objects' => [
                /*our device number*/
                'CH1' => [
                    /*bacnet object ref*/
                    '600/analog-value,6',
                    '600/analog-value,7',
                    '600/analog-value,8',
                    '600/analog-value,9',
                    '500/analog-value,1407',
                    '500/analog-value,1408',
                ],
                /*our device number*/
                'CH2' => [
                    /*bacnet object ref*/
                    '600/analog-value,10',
                    '600/analog-value,11',
                    '600/analog-value,12',
                    '600/analog-value,13',
                    '500/analog-value,807',
                    '500/analog-value,808',
                ],
                /*our device number*/
                'CH3' => [
                    /*bacnet object ref*/
                    '600/analog-value,14',
                    '600/analog-value,15',
                    '600/analog-value,16',
                    '600/analog-value,17',
                    '500/analog-value,1707',
                    '500/analog-value,1708',
                ],
                /*our device number*/
                'CH4' => [
                    /*bacnet object ref*/
                    '600/analog-value,18',
                    '600/analog-value,19',
                    '600/analog-value,20',
                    '600/analog-value,21',
                    '500/analog-value,1507',
                    '500/analog-value,1508',
                ],
                /*our device number*/
                'CH5' => [
                    /*bacnet object ref*/
                    '600/analog-value,22',
                    '600/analog-value,23',
                    '600/analog-value,24',
                    '600/analog-value,25',
                    '500/analog-value,707',
                    '500/analog-value,708',
                ],
                /*our device number*/
                'CH6' => [
                    /*bacnet object ref*/
                    '600/analog-value,26',
                    '600/analog-value,27',
                    '600/analog-value,28',
                    '600/analog-value,29',
                    '500/analog-value,1107',
                    '500/analog-value,1108',
                ],
                /*our device number*/
                'CH7' => [
                    /*bacnet object ref*/
                    '600/analog-value,30',
                    '600/analog-value,31',
                    '600/analog-value,32',
                    '600/analog-value,33',
                    '500/analog-value,1207',
                    '500/analog-value,1208',
                ],
                /*our device number*/
                'CH8' => [
                    /*bacnet object ref*/
                    '600/analog-value,34',
                    '600/analog-value,35',
                    '600/analog-value,36',
                    '600/analog-value,37',
                    '500/analog-value,207',
                    '500/analog-value,208',
                ],
                /*our device number*/
                'CH9' => [
                    /*bacnet object ref*/
                    '600/analog-value,38',
                    '600/analog-value,39',
                    '600/analog-value,40',
                    '600/analog-value,41',
                    '500/analog-value,107',
                    '500/analog-value,108',
                ],
                /*our device number*/
                'CH10' => [
                    /*bacnet object ref*/
                    '600/analog-value,42',
                    '600/analog-value,43',
                    '600/analog-value,44',
                    '600/analog-value,45',
                    '500/analog-value,507',
                    '500/analog-value,508',
                ],
            ],
            'objectsStatus' => [
                '600/binary-value,1',
                '600/binary-value,2',
                '600/binary-value,3',
                '600/binary-value,4',
                '600/binary-value,5',
                '600/binary-value,6',
                '600/binary-value,7',
                '600/binary-value,8',
                '600/binary-value,9',
                '600/binary-value,10',
            ],
            'objectsStatus-present-value-map' => [
                'inactive' => 'OFF',
                'active' => 'ON',
            ],
            'electricity-ranking' => [
                '500/analog-value,1407',
                '500/analog-value,807',
                '500/analog-value,1707',
                '500/analog-value,1507',
                '500/analog-value,707',
                '500/analog-value,1107',
                '500/analog-value,1207',
                '500/analog-value,207',
                '500/analog-value,107',
                '500/analog-value,507',
            ],
            'environmental-monitoring' => [
                '600/analog-value,1',
                '600/analog-value,2',
            ],
            'energy-consumption' => [
                '500/analog-value,1408',
                '500/analog-value,808',
                '500/analog-value,1708',
                '500/analog-value,1508',
                '500/analog-value,708',
                '500/analog-value,1108',
                '500/analog-value,1208',
                '500/analog-value,208',
                '500/analog-value,108',
                '500/analog-value,508'
            ],
            'capacity' => [
                '100/analog-value,31',
                '100/analog-value,32',
                '100/analog-value,33',
                '100/analog-value,34',
                '100/analog-value,35',
                '100/analog-value,36',
                '100/analog-value,37',
                '100/analog-value,38',
                '100/analog-value,39',
                '100/analog-value,40',
            ]
        ]
    ]
];
